AbstractPrefixTreeQuery.BaseTermsEnumTraverser (Lucene 10.5.0 spatial-extras API)
Description: declaration: package: org.apache.lucene.spatial.prefix, class: AbstractPrefixTreeQuery, class: BaseTermsEnumTraverser

Package org.apache.lucene.spatial.prefix

# Class AbstractPrefixTreeQuery.BaseTermsEnumTraverser

java.lang.Object
org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery.BaseTermsEnumTraverser

Direct Known Subclasses:
  `AbstractVisitingPrefixTreeQuery.VisitorTemplate`

Enclosing class:
  `AbstractPrefixTreeQuery`

public abstract class AbstractPrefixTreeQuery.BaseTermsEnumTraverser extends Object
Holds transient state and docid collecting utility methods as part of traversing a `TermsEnum` for a `LeafReaderContext`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final LeafReaderContext`
  `context`
  `protected final int`
  `maxDoc`
  `protected PostingsEnum`
  `postingsEnum`
  `protected final Terms`
  `terms`
  `protected final TermsEnum`
  `termsEnum`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseTermsEnumTraverser(LeafReaderContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `collectDocs(BitSet bitSet)`
  `protected void`
  `collectDocs(DocIdSetBuilder docSetBuilder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### context

    protected final LeafReaderContext context

  - ### maxDoc

    protected final int maxDoc

  - ### terms

    protected final Terms terms

  - ### termsEnum

    protected final TermsEnum termsEnum

  - ### postingsEnum

    protected PostingsEnum postingsEnum

- ## Constructor Details

  - ### BaseTermsEnumTraverser

    public BaseTermsEnumTraverser(LeafReaderContext context) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### collectDocs

    protected void collectDocs(BitSet bitSet) throws IOException
    Throws:
      `IOException`

  - ### collectDocs

    protected void collectDocs(DocIdSetBuilder docSetBuilder) throws IOException
    Throws:
      `IOException`